Bug 2729 - mock-urpm was patched to support new options [UPDATE REQUEST]
: mock-urpm was patched to support new options [UPDATE REQUEST]
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-01 12:23 MSD by Alexander Burmashev
Modified: 2013-10-14 10:48 MSD (History)
1 user (show)

See Also:
RPM Package: mock-urpm
ISO-related:
Bad POT generating:
Upstream:
alexander.petryakov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Burmashev 2013-10-01 12:23:20 MSD
mock-urpm was patched to support new options
Comment 1 Alexander Burmashev 2013-10-01 12:26:20 MSD
Advisory:
mock-urpm was patched to support new urpm_options, passed to urpmi.addmedia and urpmi.update. This is required for example to work with "closed" repositories, when some additional options should be passed to urpmi.addmedia and urpmi.update.

Additional info for testers:
Generally you should see no regressions in mock-urpm behaviour. 
To test new features you can add new string
config_opts['urpm_options'] = ''
to you config and add some new options


Buildlists:
https://abf.rosalinux.ru/build_lists/1337550
https://abf.rosalinux.ru/build_lists/1337551
Comment 3 Alexander Burmashev 2013-10-01 13:32:43 MSD
I updated buildlists to fix configs


Advisory:
mock-urpm was patched to support new urpm_options, passed to urpmi.addmedia and urpmi.update. This is required for example to work with "closed" repositories, when some additional options should be passed to urpmi.addmedia and urpmi.update.

Additional info for testers:
Generally you should see no regressions in mock-urpm behaviour. 
To test new features you can add new string
config_opts['urpm_options'] = ''
to you config and add some new options


Buildlists:
https://abf.rosalinux.ru/build_lists/1337594
https://abf.rosalinux.ru/build_lists/1337593
Comment 4 Alexander Petryakov 2013-10-13 12:28:29 MSD
mock-urpm-1.1.12-21.src.rpm
************** Advisory **************
mock-urpm was patched to support new urpm_options, passed to urpmi.addmedia and urpmi.update. This is required for example to work with "closed" repositories, when some additional options should be passed to urpmi.addmedia and urpmi.update.

**************************************
QA Verified